Package: org.gradle.jvm.plugins

## [Java] Class JvmComponentPlugin

- org.gradle.jvm.plugins.JvmComponentPlugin

- All Implemented Interfaces and Traits:
    Plugin

      @Incubating
      public class JvmComponentPlugin
      extends Object

  Base plugin for JVM component support. Applies the ComponentModelBasePlugin. Registers the JvmLibrarySpec library type for the components container.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JvmComponentPlugin (org.gradle.model.internal.registry.ModelRegistry modelRegistry)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(Project project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### @javax.inject.Inject public JvmComponentPlugin(org.gradle.model.internal.registry.ModelRegistry modelRegistry)

  - ### Method Detail

    - #### @Override public void apply(Project project)